Freeciv-3.2: ai_city Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
ai_city Struct Reference

`#include <daicity.h>`

## Data Fields

adv_want | worth
int | building_turn
int | building_wait
struct adv_choice | choice
struct ai_invasion | invasion
int | attack
int | bcost
unsigned int | danger
unsigned int | grave_danger
unsigned int | urgency
int | wallvalue
int | distance_to_wonder_city
bool | celebrate
bool | diplomat_threat
bool | has_diplomat
bool | founder_boat
int | founder_turn
int | founder_want
int | worker_want
struct unit_type * | worker_type

## Detailed Description

Definition at line 34 of file daicity.h.

## Field Documentation

## ◆ attack

int ai_city::attack

Definition at line 44 of file daicity.h.

## ◆ bcost

int ai_city::bcost

Definition at line 44 of file daicity.h.

Referenced by find_something_to_kill(), and process_attacker_want().

## ◆ building_turn

int ai_city::building_turn

Definition at line 37 of file daicity.h.

## ◆ building_wait

int ai_city::building_wait

Definition at line 38 of file daicity.h.

Referenced by want_tech_for_improvement_effect().

## ◆ celebrate

bool ai_city::celebrate

Definition at line 57 of file daicity.h.

Referenced by dai_manage_taxes().

## ◆ choice

struct adv_choice ai_city::choice

Definition at line 41 of file daicity.h.

Referenced by dai_manage_cities().

## ◆ danger

unsigned int ai_city::danger

Definition at line 47 of file daicity.h.

Referenced by dai_set_defenders().

## ◆ diplomat_threat

bool ai_city::diplomat_threat

Definition at line 58 of file daicity.h.

Referenced by dai_choose_diplomat_defensive().

## ◆ distance_to_wonder_city

int ai_city::distance_to_wonder_city

Definition at line 54 of file daicity.h.

Referenced by dai_wonder_city_distance().

## ◆ founder_boat

bool ai_city::founder_boat

Definition at line 64 of file daicity.h.

## ◆ founder_turn

int ai_city::founder_turn

Definition at line 65 of file daicity.h.

## ◆ founder_want

int ai_city::founder_want

Definition at line 66 of file daicity.h.

## ◆ grave_danger

unsigned int ai_city::grave_danger

Definition at line 48 of file daicity.h.

Referenced by dai_consider_wonder_city().

## ◆ has_diplomat

bool ai_city::has_diplomat

Definition at line 59 of file daicity.h.

Referenced by dai_choose_diplomat_defensive().

## ◆ invasion

struct ai_invasion ai_city::invasion

Definition at line 43 of file daicity.h.

## ◆ urgency

unsigned int ai_city::urgency

Definition at line 49 of file daicity.h.

Referenced by assess_danger(), dai_choose_diplomat_defensive(), dai_diplomat_defend(), and find_best_tile_to_paradrop_to().

## ◆ wallvalue

int ai_city::wallvalue

Definition at line 51 of file daicity.h.

Referenced by assess_defense_quadratic(), and assess_defense_unit().

## ◆ worker_type

struct unit_type* ai_city::worker_type

Definition at line 68 of file daicity.h.

## ◆ worker_want

int ai_city::worker_want

Definition at line 67 of file daicity.h.

## ◆ worth

adv_want ai_city::worth

Definition at line 35 of file daicity.h.

Referenced by base_want(), and dai_build_adv_init().